IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network224.194.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
224.194.0.0- Broadcast address
224.195.255.255- First usable
224.194.0.1- Last usable
224.195.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E0C20000· Integer3770810368to3770941439 - Reverse DNS zones
194.224.in-addr.arpa195.224.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100000.11000010.00000000.00000000 | 224.194.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 11100000.11000010.00000000.00000000 | 224.194.0.0 |
| Broadcast | 11100000.11000011.11111111.11111111 | 224.195.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
224.194.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 224.194.0.0/23 | 224.194.0.1 to 224.194.1.254 | 224.194.1.255 | 510 |
| 2 | 224.194.2.0/23 | 224.194.2.1 to 224.194.3.254 | 224.194.3.255 | 510 |
| 3 | 224.194.4.0/23 | 224.194.4.1 to 224.194.5.254 | 224.194.5.255 | 510 |
| 4 | 224.194.6.0/23 | 224.194.6.1 to 224.194.7.254 | 224.194.7.255 | 510 |
| 5 | 224.194.8.0/23 | 224.194.8.1 to 224.194.9.254 | 224.194.9.255 | 510 |
| 6 | 224.194.10.0/23 | 224.194.10.1 to 224.194.11.254 | 224.194.11.255 | 510 |
| 7 | 224.194.12.0/23 | 224.194.12.1 to 224.194.13.254 | 224.194.13.255 | 510 |
| 8 | 224.194.14.0/23 | 224.194.14.1 to 224.194.15.254 | 224.194.15.255 | 510 |
| 9 | 224.194.16.0/23 | 224.194.16.1 to 224.194.17.254 | 224.194.17.255 | 510 |
| 10 | 224.194.18.0/23 | 224.194.18.1 to 224.194.19.254 | 224.194.19.255 | 510 |
| 11 | 224.194.20.0/23 | 224.194.20.1 to 224.194.21.254 | 224.194.21.255 | 510 |
| 12 | 224.194.22.0/23 | 224.194.22.1 to 224.194.23.254 | 224.194.23.255 | 510 |
| 13 | 224.194.24.0/23 | 224.194.24.1 to 224.194.25.254 | 224.194.25.255 | 510 |
| 14 | 224.194.26.0/23 | 224.194.26.1 to 224.194.27.254 | 224.194.27.255 | 510 |
| 15 | 224.194.28.0/23 | 224.194.28.1 to 224.194.29.254 | 224.194.29.255 | 510 |
| 16 | 224.194.30.0/23 | 224.194.30.1 to 224.194.31.254 | 224.194.31.255 | 510 |
| 17 | 224.194.32.0/23 | 224.194.32.1 to 224.194.33.254 | 224.194.33.255 | 510 |
| 18 | 224.194.34.0/23 | 224.194.34.1 to 224.194.35.254 | 224.194.35.255 | 510 |
| 19 | 224.194.36.0/23 | 224.194.36.1 to 224.194.37.254 | 224.194.37.255 | 510 |
| 20 | 224.194.38.0/23 | 224.194.38.1 to 224.194.39.254 | 224.194.39.255 | 510 |
| 21 | 224.194.40.0/23 | 224.194.40.1 to 224.194.41.254 | 224.194.41.255 | 510 |
| 22 | 224.194.42.0/23 | 224.194.42.1 to 224.194.43.254 | 224.194.43.255 | 510 |
| 23 | 224.194.44.0/23 | 224.194.44.1 to 224.194.45.254 | 224.194.45.255 | 510 |
| 24 | 224.194.46.0/23 | 224.194.46.1 to 224.194.47.254 | 224.194.47.255 | 510 |
| 25 | 224.194.48.0/23 | 224.194.48.1 to 224.194.49.254 | 224.194.49.255 | 510 |
| 26 | 224.194.50.0/23 | 224.194.50.1 to 224.194.51.254 | 224.194.51.255 | 510 |
| 27 | 224.194.52.0/23 | 224.194.52.1 to 224.194.53.254 | 224.194.53.255 | 510 |
| 28 | 224.194.54.0/23 | 224.194.54.1 to 224.194.55.254 | 224.194.55.255 | 510 |
| 29 | 224.194.56.0/23 | 224.194.56.1 to 224.194.57.254 | 224.194.57.255 | 510 |
| 30 | 224.194.58.0/23 | 224.194.58.1 to 224.194.59.254 | 224.194.59.255 | 510 |
| 31 | 224.194.60.0/23 | 224.194.60.1 to 224.194.61.254 | 224.194.61.255 | 510 |
| 32 | 224.194.62.0/23 | 224.194.62.1 to 224.194.63.254 | 224.194.63.255 | 510 |
| 33 | 224.194.64.0/23 | 224.194.64.1 to 224.194.65.254 | 224.194.65.255 | 510 |
| 34 | 224.194.66.0/23 | 224.194.66.1 to 224.194.67.254 | 224.194.67.255 | 510 |
| 35 | 224.194.68.0/23 | 224.194.68.1 to 224.194.69.254 | 224.194.69.255 | 510 |
| 36 | 224.194.70.0/23 | 224.194.70.1 to 224.194.71.254 | 224.194.71.255 | 510 |
| 37 | 224.194.72.0/23 | 224.194.72.1 to 224.194.73.254 | 224.194.73.255 | 510 |
| 38 | 224.194.74.0/23 | 224.194.74.1 to 224.194.75.254 | 224.194.75.255 | 510 |
| 39 | 224.194.76.0/23 | 224.194.76.1 to 224.194.77.254 | 224.194.77.255 | 510 |
| 40 | 224.194.78.0/23 | 224.194.78.1 to 224.194.79.254 | 224.194.79.255 | 510 |
| 41 | 224.194.80.0/23 | 224.194.80.1 to 224.194.81.254 | 224.194.81.255 | 510 |
| 42 | 224.194.82.0/23 | 224.194.82.1 to 224.194.83.254 | 224.194.83.255 | 510 |
| 43 | 224.194.84.0/23 | 224.194.84.1 to 224.194.85.254 | 224.194.85.255 | 510 |
| 44 | 224.194.86.0/23 | 224.194.86.1 to 224.194.87.254 | 224.194.87.255 | 510 |
| 45 | 224.194.88.0/23 | 224.194.88.1 to 224.194.89.254 | 224.194.89.255 | 510 |
| 46 | 224.194.90.0/23 | 224.194.90.1 to 224.194.91.254 | 224.194.91.255 | 510 |
| 47 | 224.194.92.0/23 | 224.194.92.1 to 224.194.93.254 | 224.194.93.255 | 510 |
| 48 | 224.194.94.0/23 | 224.194.94.1 to 224.194.95.254 | 224.194.95.255 | 510 |
| 49 | 224.194.96.0/23 | 224.194.96.1 to 224.194.97.254 | 224.194.97.255 | 510 |
| 50 | 224.194.98.0/23 | 224.194.98.1 to 224.194.99.254 | 224.194.99.255 | 510 |
| 51 | 224.194.100.0/23 | 224.194.100.1 to 224.194.101.254 | 224.194.101.255 | 510 |
| 52 | 224.194.102.0/23 | 224.194.102.1 to 224.194.103.254 | 224.194.103.255 | 510 |
| 53 | 224.194.104.0/23 | 224.194.104.1 to 224.194.105.254 | 224.194.105.255 | 510 |
| 54 | 224.194.106.0/23 | 224.194.106.1 to 224.194.107.254 | 224.194.107.255 | 510 |
| 55 | 224.194.108.0/23 | 224.194.108.1 to 224.194.109.254 | 224.194.109.255 | 510 |
| 56 | 224.194.110.0/23 | 224.194.110.1 to 224.194.111.254 | 224.194.111.255 | 510 |
| 57 | 224.194.112.0/23 | 224.194.112.1 to 224.194.113.254 | 224.194.113.255 | 510 |
| 58 | 224.194.114.0/23 | 224.194.114.1 to 224.194.115.254 | 224.194.115.255 | 510 |
| 59 | 224.194.116.0/23 | 224.194.116.1 to 224.194.117.254 | 224.194.117.255 | 510 |
| 60 | 224.194.118.0/23 | 224.194.118.1 to 224.194.119.254 | 224.194.119.255 | 510 |
| 61 | 224.194.120.0/23 | 224.194.120.1 to 224.194.121.254 | 224.194.121.255 | 510 |
| 62 | 224.194.122.0/23 | 224.194.122.1 to 224.194.123.254 | 224.194.123.255 | 510 |
| 63 | 224.194.124.0/23 | 224.194.124.1 to 224.194.125.254 | 224.194.125.255 | 510 |
| 64 | 224.194.126.0/23 | 224.194.126.1 to 224.194.127.254 | 224.194.127.255 | 510 |
| 65 | 224.194.128.0/23 | 224.194.128.1 to 224.194.129.254 | 224.194.129.255 | 510 |
| 66 | 224.194.130.0/23 | 224.194.130.1 to 224.194.131.254 | 224.194.131.255 | 510 |
| 67 | 224.194.132.0/23 | 224.194.132.1 to 224.194.133.254 | 224.194.133.255 | 510 |
| 68 | 224.194.134.0/23 | 224.194.134.1 to 224.194.135.254 | 224.194.135.255 | 510 |
| 69 | 224.194.136.0/23 | 224.194.136.1 to 224.194.137.254 | 224.194.137.255 | 510 |
| 70 | 224.194.138.0/23 | 224.194.138.1 to 224.194.139.254 | 224.194.139.255 | 510 |
| 71 | 224.194.140.0/23 | 224.194.140.1 to 224.194.141.254 | 224.194.141.255 | 510 |
| 72 | 224.194.142.0/23 | 224.194.142.1 to 224.194.143.254 | 224.194.143.255 | 510 |
| 73 | 224.194.144.0/23 | 224.194.144.1 to 224.194.145.254 | 224.194.145.255 | 510 |
| 74 | 224.194.146.0/23 | 224.194.146.1 to 224.194.147.254 | 224.194.147.255 | 510 |
| 75 | 224.194.148.0/23 | 224.194.148.1 to 224.194.149.254 | 224.194.149.255 | 510 |
| 76 | 224.194.150.0/23 | 224.194.150.1 to 224.194.151.254 | 224.194.151.255 | 510 |
| 77 | 224.194.152.0/23 | 224.194.152.1 to 224.194.153.254 | 224.194.153.255 | 510 |
| 78 | 224.194.154.0/23 | 224.194.154.1 to 224.194.155.254 | 224.194.155.255 | 510 |
| 79 | 224.194.156.0/23 | 224.194.156.1 to 224.194.157.254 | 224.194.157.255 | 510 |
| 80 | 224.194.158.0/23 | 224.194.158.1 to 224.194.159.254 | 224.194.159.255 | 510 |
| 81 | 224.194.160.0/23 | 224.194.160.1 to 224.194.161.254 | 224.194.161.255 | 510 |
| 82 | 224.194.162.0/23 | 224.194.162.1 to 224.194.163.254 | 224.194.163.255 | 510 |
| 83 | 224.194.164.0/23 | 224.194.164.1 to 224.194.165.254 | 224.194.165.255 | 510 |
| 84 | 224.194.166.0/23 | 224.194.166.1 to 224.194.167.254 | 224.194.167.255 | 510 |
| 85 | 224.194.168.0/23 | 224.194.168.1 to 224.194.169.254 | 224.194.169.255 | 510 |
| 86 | 224.194.170.0/23 | 224.194.170.1 to 224.194.171.254 | 224.194.171.255 | 510 |
| 87 | 224.194.172.0/23 | 224.194.172.1 to 224.194.173.254 | 224.194.173.255 | 510 |
| 88 | 224.194.174.0/23 | 224.194.174.1 to 224.194.175.254 | 224.194.175.255 | 510 |
| 89 | 224.194.176.0/23 | 224.194.176.1 to 224.194.177.254 | 224.194.177.255 | 510 |
| 90 | 224.194.178.0/23 | 224.194.178.1 to 224.194.179.254 | 224.194.179.255 | 510 |
| 91 | 224.194.180.0/23 | 224.194.180.1 to 224.194.181.254 | 224.194.181.255 | 510 |
| 92 | 224.194.182.0/23 | 224.194.182.1 to 224.194.183.254 | 224.194.183.255 | 510 |
| 93 | 224.194.184.0/23 | 224.194.184.1 to 224.194.185.254 | 224.194.185.255 | 510 |
| 94 | 224.194.186.0/23 | 224.194.186.1 to 224.194.187.254 | 224.194.187.255 | 510 |
| 95 | 224.194.188.0/23 | 224.194.188.1 to 224.194.189.254 | 224.194.189.255 | 510 |
| 96 | 224.194.190.0/23 | 224.194.190.1 to 224.194.191.254 | 224.194.191.255 | 510 |
| 97 | 224.194.192.0/23 | 224.194.192.1 to 224.194.193.254 | 224.194.193.255 | 510 |
| 98 | 224.194.194.0/23 | 224.194.194.1 to 224.194.195.254 | 224.194.195.255 | 510 |
| 99 | 224.194.196.0/23 | 224.194.196.1 to 224.194.197.254 | 224.194.197.255 | 510 |
| 100 | 224.194.198.0/23 | 224.194.198.1 to 224.194.199.254 | 224.194.199.255 | 510 |
| 101 | 224.194.200.0/23 | 224.194.200.1 to 224.194.201.254 | 224.194.201.255 | 510 |
| 102 | 224.194.202.0/23 | 224.194.202.1 to 224.194.203.254 | 224.194.203.255 | 510 |
| 103 | 224.194.204.0/23 | 224.194.204.1 to 224.194.205.254 | 224.194.205.255 | 510 |
| 104 | 224.194.206.0/23 | 224.194.206.1 to 224.194.207.254 | 224.194.207.255 | 510 |
| 105 | 224.194.208.0/23 | 224.194.208.1 to 224.194.209.254 | 224.194.209.255 | 510 |
| 106 | 224.194.210.0/23 | 224.194.210.1 to 224.194.211.254 | 224.194.211.255 | 510 |
| 107 | 224.194.212.0/23 | 224.194.212.1 to 224.194.213.254 | 224.194.213.255 | 510 |
| 108 | 224.194.214.0/23 | 224.194.214.1 to 224.194.215.254 | 224.194.215.255 | 510 |
| 109 | 224.194.216.0/23 | 224.194.216.1 to 224.194.217.254 | 224.194.217.255 | 510 |
| 110 | 224.194.218.0/23 | 224.194.218.1 to 224.194.219.254 | 224.194.219.255 | 510 |
| 111 | 224.194.220.0/23 | 224.194.220.1 to 224.194.221.254 | 224.194.221.255 | 510 |
| 112 | 224.194.222.0/23 | 224.194.222.1 to 224.194.223.254 | 224.194.223.255 | 510 |
| 113 | 224.194.224.0/23 | 224.194.224.1 to 224.194.225.254 | 224.194.225.255 | 510 |
| 114 | 224.194.226.0/23 | 224.194.226.1 to 224.194.227.254 | 224.194.227.255 | 510 |
| 115 | 224.194.228.0/23 | 224.194.228.1 to 224.194.229.254 | 224.194.229.255 | 510 |
| 116 | 224.194.230.0/23 | 224.194.230.1 to 224.194.231.254 | 224.194.231.255 | 510 |
| 117 | 224.194.232.0/23 | 224.194.232.1 to 224.194.233.254 | 224.194.233.255 | 510 |
| 118 | 224.194.234.0/23 | 224.194.234.1 to 224.194.235.254 | 224.194.235.255 | 510 |
| 119 | 224.194.236.0/23 | 224.194.236.1 to 224.194.237.254 | 224.194.237.255 | 510 |
| 120 | 224.194.238.0/23 | 224.194.238.1 to 224.194.239.254 | 224.194.239.255 | 510 |
| 121 | 224.194.240.0/23 | 224.194.240.1 to 224.194.241.254 | 224.194.241.255 | 510 |
| 122 | 224.194.242.0/23 | 224.194.242.1 to 224.194.243.254 | 224.194.243.255 | 510 |
| 123 | 224.194.244.0/23 | 224.194.244.1 to 224.194.245.254 | 224.194.245.255 | 510 |
| 124 | 224.194.246.0/23 | 224.194.246.1 to 224.194.247.254 | 224.194.247.255 | 510 |
| 125 | 224.194.248.0/23 | 224.194.248.1 to 224.194.249.254 | 224.194.249.255 | 510 |
| 126 | 224.194.250.0/23 | 224.194.250.1 to 224.194.251.254 | 224.194.251.255 | 510 |
| 127 | 224.194.252.0/23 | 224.194.252.1 to 224.194.253.254 | 224.194.253.255 | 510 |
| 128 | 224.194.254.0/23 | 224.194.254.1 to 224.194.255.254 | 224.194.255.255 | 510 |
| 129 | 224.195.0.0/23 | 224.195.0.1 to 224.195.1.254 | 224.195.1.255 | 510 |
| 130 | 224.195.2.0/23 | 224.195.2.1 to 224.195.3.254 | 224.195.3.255 | 510 |
| 131 | 224.195.4.0/23 | 224.195.4.1 to 224.195.5.254 | 224.195.5.255 | 510 |
| 132 | 224.195.6.0/23 | 224.195.6.1 to 224.195.7.254 | 224.195.7.255 | 510 |
| 133 | 224.195.8.0/23 | 224.195.8.1 to 224.195.9.254 | 224.195.9.255 | 510 |
| 134 | 224.195.10.0/23 | 224.195.10.1 to 224.195.11.254 | 224.195.11.255 | 510 |
| 135 | 224.195.12.0/23 | 224.195.12.1 to 224.195.13.254 | 224.195.13.255 | 510 |
| 136 | 224.195.14.0/23 | 224.195.14.1 to 224.195.15.254 | 224.195.15.255 | 510 |
| 137 | 224.195.16.0/23 | 224.195.16.1 to 224.195.17.254 | 224.195.17.255 | 510 |
| 138 | 224.195.18.0/23 | 224.195.18.1 to 224.195.19.254 | 224.195.19.255 | 510 |
| 139 | 224.195.20.0/23 | 224.195.20.1 to 224.195.21.254 | 224.195.21.255 | 510 |
| 140 | 224.195.22.0/23 | 224.195.22.1 to 224.195.23.254 | 224.195.23.255 | 510 |
| 141 | 224.195.24.0/23 | 224.195.24.1 to 224.195.25.254 | 224.195.25.255 | 510 |
| 142 | 224.195.26.0/23 | 224.195.26.1 to 224.195.27.254 | 224.195.27.255 | 510 |
| 143 | 224.195.28.0/23 | 224.195.28.1 to 224.195.29.254 | 224.195.29.255 | 510 |
| 144 | 224.195.30.0/23 | 224.195.30.1 to 224.195.31.254 | 224.195.31.255 | 510 |
| 145 | 224.195.32.0/23 | 224.195.32.1 to 224.195.33.254 | 224.195.33.255 | 510 |
| 146 | 224.195.34.0/23 | 224.195.34.1 to 224.195.35.254 | 224.195.35.255 | 510 |
| 147 | 224.195.36.0/23 | 224.195.36.1 to 224.195.37.254 | 224.195.37.255 | 510 |
| 148 | 224.195.38.0/23 | 224.195.38.1 to 224.195.39.254 | 224.195.39.255 | 510 |
| 149 | 224.195.40.0/23 | 224.195.40.1 to 224.195.41.254 | 224.195.41.255 | 510 |
| 150 | 224.195.42.0/23 | 224.195.42.1 to 224.195.43.254 | 224.195.43.255 | 510 |
| 151 | 224.195.44.0/23 | 224.195.44.1 to 224.195.45.254 | 224.195.45.255 | 510 |
| 152 | 224.195.46.0/23 | 224.195.46.1 to 224.195.47.254 | 224.195.47.255 | 510 |
| 153 | 224.195.48.0/23 | 224.195.48.1 to 224.195.49.254 | 224.195.49.255 | 510 |
| 154 | 224.195.50.0/23 | 224.195.50.1 to 224.195.51.254 | 224.195.51.255 | 510 |
| 155 | 224.195.52.0/23 | 224.195.52.1 to 224.195.53.254 | 224.195.53.255 | 510 |
| 156 | 224.195.54.0/23 | 224.195.54.1 to 224.195.55.254 | 224.195.55.255 | 510 |
| 157 | 224.195.56.0/23 | 224.195.56.1 to 224.195.57.254 | 224.195.57.255 | 510 |
| 158 | 224.195.58.0/23 | 224.195.58.1 to 224.195.59.254 | 224.195.59.255 | 510 |
| 159 | 224.195.60.0/23 | 224.195.60.1 to 224.195.61.254 | 224.195.61.255 | 510 |
| 160 | 224.195.62.0/23 | 224.195.62.1 to 224.195.63.254 | 224.195.63.255 | 510 |
| 161 | 224.195.64.0/23 | 224.195.64.1 to 224.195.65.254 | 224.195.65.255 | 510 |
| 162 | 224.195.66.0/23 | 224.195.66.1 to 224.195.67.254 | 224.195.67.255 | 510 |
| 163 | 224.195.68.0/23 | 224.195.68.1 to 224.195.69.254 | 224.195.69.255 | 510 |
| 164 | 224.195.70.0/23 | 224.195.70.1 to 224.195.71.254 | 224.195.71.255 | 510 |
| 165 | 224.195.72.0/23 | 224.195.72.1 to 224.195.73.254 | 224.195.73.255 | 510 |
| 166 | 224.195.74.0/23 | 224.195.74.1 to 224.195.75.254 | 224.195.75.255 | 510 |
| 167 | 224.195.76.0/23 | 224.195.76.1 to 224.195.77.254 | 224.195.77.255 | 510 |
| 168 | 224.195.78.0/23 | 224.195.78.1 to 224.195.79.254 | 224.195.79.255 | 510 |
| 169 | 224.195.80.0/23 | 224.195.80.1 to 224.195.81.254 | 224.195.81.255 | 510 |
| 170 | 224.195.82.0/23 | 224.195.82.1 to 224.195.83.254 | 224.195.83.255 | 510 |
| 171 | 224.195.84.0/23 | 224.195.84.1 to 224.195.85.254 | 224.195.85.255 | 510 |
| 172 | 224.195.86.0/23 | 224.195.86.1 to 224.195.87.254 | 224.195.87.255 | 510 |
| 173 | 224.195.88.0/23 | 224.195.88.1 to 224.195.89.254 | 224.195.89.255 | 510 |
| 174 | 224.195.90.0/23 | 224.195.90.1 to 224.195.91.254 | 224.195.91.255 | 510 |
| 175 | 224.195.92.0/23 | 224.195.92.1 to 224.195.93.254 | 224.195.93.255 | 510 |
| 176 | 224.195.94.0/23 | 224.195.94.1 to 224.195.95.254 | 224.195.95.255 | 510 |
| 177 | 224.195.96.0/23 | 224.195.96.1 to 224.195.97.254 | 224.195.97.255 | 510 |
| 178 | 224.195.98.0/23 | 224.195.98.1 to 224.195.99.254 | 224.195.99.255 | 510 |
| 179 | 224.195.100.0/23 | 224.195.100.1 to 224.195.101.254 | 224.195.101.255 | 510 |
| 180 | 224.195.102.0/23 | 224.195.102.1 to 224.195.103.254 | 224.195.103.255 | 510 |
| 181 | 224.195.104.0/23 | 224.195.104.1 to 224.195.105.254 | 224.195.105.255 | 510 |
| 182 | 224.195.106.0/23 | 224.195.106.1 to 224.195.107.254 | 224.195.107.255 | 510 |
| 183 | 224.195.108.0/23 | 224.195.108.1 to 224.195.109.254 | 224.195.109.255 | 510 |
| 184 | 224.195.110.0/23 | 224.195.110.1 to 224.195.111.254 | 224.195.111.255 | 510 |
| 185 | 224.195.112.0/23 | 224.195.112.1 to 224.195.113.254 | 224.195.113.255 | 510 |
| 186 | 224.195.114.0/23 | 224.195.114.1 to 224.195.115.254 | 224.195.115.255 | 510 |
| 187 | 224.195.116.0/23 | 224.195.116.1 to 224.195.117.254 | 224.195.117.255 | 510 |
| 188 | 224.195.118.0/23 | 224.195.118.1 to 224.195.119.254 | 224.195.119.255 | 510 |
| 189 | 224.195.120.0/23 | 224.195.120.1 to 224.195.121.254 | 224.195.121.255 | 510 |
| 190 | 224.195.122.0/23 | 224.195.122.1 to 224.195.123.254 | 224.195.123.255 | 510 |
| 191 | 224.195.124.0/23 | 224.195.124.1 to 224.195.125.254 | 224.195.125.255 | 510 |
| 192 | 224.195.126.0/23 | 224.195.126.1 to 224.195.127.254 | 224.195.127.255 | 510 |
| 193 | 224.195.128.0/23 | 224.195.128.1 to 224.195.129.254 | 224.195.129.255 | 510 |
| 194 | 224.195.130.0/23 | 224.195.130.1 to 224.195.131.254 | 224.195.131.255 | 510 |
| 195 | 224.195.132.0/23 | 224.195.132.1 to 224.195.133.254 | 224.195.133.255 | 510 |
| 196 | 224.195.134.0/23 | 224.195.134.1 to 224.195.135.254 | 224.195.135.255 | 510 |
| 197 | 224.195.136.0/23 | 224.195.136.1 to 224.195.137.254 | 224.195.137.255 | 510 |
| 198 | 224.195.138.0/23 | 224.195.138.1 to 224.195.139.254 | 224.195.139.255 | 510 |
| 199 | 224.195.140.0/23 | 224.195.140.1 to 224.195.141.254 | 224.195.141.255 | 510 |
| 200 | 224.195.142.0/23 | 224.195.142.1 to 224.195.143.254 | 224.195.143.255 | 510 |
| 201 | 224.195.144.0/23 | 224.195.144.1 to 224.195.145.254 | 224.195.145.255 | 510 |
| 202 | 224.195.146.0/23 | 224.195.146.1 to 224.195.147.254 | 224.195.147.255 | 510 |
| 203 | 224.195.148.0/23 | 224.195.148.1 to 224.195.149.254 | 224.195.149.255 | 510 |
| 204 | 224.195.150.0/23 | 224.195.150.1 to 224.195.151.254 | 224.195.151.255 | 510 |
| 205 | 224.195.152.0/23 | 224.195.152.1 to 224.195.153.254 | 224.195.153.255 | 510 |
| 206 | 224.195.154.0/23 | 224.195.154.1 to 224.195.155.254 | 224.195.155.255 | 510 |
| 207 | 224.195.156.0/23 | 224.195.156.1 to 224.195.157.254 | 224.195.157.255 | 510 |
| 208 | 224.195.158.0/23 | 224.195.158.1 to 224.195.159.254 | 224.195.159.255 | 510 |
| 209 | 224.195.160.0/23 | 224.195.160.1 to 224.195.161.254 | 224.195.161.255 | 510 |
| 210 | 224.195.162.0/23 | 224.195.162.1 to 224.195.163.254 | 224.195.163.255 | 510 |
| 211 | 224.195.164.0/23 | 224.195.164.1 to 224.195.165.254 | 224.195.165.255 | 510 |
| 212 | 224.195.166.0/23 | 224.195.166.1 to 224.195.167.254 | 224.195.167.255 | 510 |
| 213 | 224.195.168.0/23 | 224.195.168.1 to 224.195.169.254 | 224.195.169.255 | 510 |
| 214 | 224.195.170.0/23 | 224.195.170.1 to 224.195.171.254 | 224.195.171.255 | 510 |
| 215 | 224.195.172.0/23 | 224.195.172.1 to 224.195.173.254 | 224.195.173.255 | 510 |
| 216 | 224.195.174.0/23 | 224.195.174.1 to 224.195.175.254 | 224.195.175.255 | 510 |
| 217 | 224.195.176.0/23 | 224.195.176.1 to 224.195.177.254 | 224.195.177.255 | 510 |
| 218 | 224.195.178.0/23 | 224.195.178.1 to 224.195.179.254 | 224.195.179.255 | 510 |
| 219 | 224.195.180.0/23 | 224.195.180.1 to 224.195.181.254 | 224.195.181.255 | 510 |
| 220 | 224.195.182.0/23 | 224.195.182.1 to 224.195.183.254 | 224.195.183.255 | 510 |
| 221 | 224.195.184.0/23 | 224.195.184.1 to 224.195.185.254 | 224.195.185.255 | 510 |
| 222 | 224.195.186.0/23 | 224.195.186.1 to 224.195.187.254 | 224.195.187.255 | 510 |
| 223 | 224.195.188.0/23 | 224.195.188.1 to 224.195.189.254 | 224.195.189.255 | 510 |
| 224 | 224.195.190.0/23 | 224.195.190.1 to 224.195.191.254 | 224.195.191.255 | 510 |
| 225 | 224.195.192.0/23 | 224.195.192.1 to 224.195.193.254 | 224.195.193.255 | 510 |
| 226 | 224.195.194.0/23 | 224.195.194.1 to 224.195.195.254 | 224.195.195.255 | 510 |
| 227 | 224.195.196.0/23 | 224.195.196.1 to 224.195.197.254 | 224.195.197.255 | 510 |
| 228 | 224.195.198.0/23 | 224.195.198.1 to 224.195.199.254 | 224.195.199.255 | 510 |
| 229 | 224.195.200.0/23 | 224.195.200.1 to 224.195.201.254 | 224.195.201.255 | 510 |
| 230 | 224.195.202.0/23 | 224.195.202.1 to 224.195.203.254 | 224.195.203.255 | 510 |
| 231 | 224.195.204.0/23 | 224.195.204.1 to 224.195.205.254 | 224.195.205.255 | 510 |
| 232 | 224.195.206.0/23 | 224.195.206.1 to 224.195.207.254 | 224.195.207.255 | 510 |
| 233 | 224.195.208.0/23 | 224.195.208.1 to 224.195.209.254 | 224.195.209.255 | 510 |
| 234 | 224.195.210.0/23 | 224.195.210.1 to 224.195.211.254 | 224.195.211.255 | 510 |
| 235 | 224.195.212.0/23 | 224.195.212.1 to 224.195.213.254 | 224.195.213.255 | 510 |
| 236 | 224.195.214.0/23 | 224.195.214.1 to 224.195.215.254 | 224.195.215.255 | 510 |
| 237 | 224.195.216.0/23 | 224.195.216.1 to 224.195.217.254 | 224.195.217.255 | 510 |
| 238 | 224.195.218.0/23 | 224.195.218.1 to 224.195.219.254 | 224.195.219.255 | 510 |
| 239 | 224.195.220.0/23 | 224.195.220.1 to 224.195.221.254 | 224.195.221.255 | 510 |
| 240 | 224.195.222.0/23 | 224.195.222.1 to 224.195.223.254 | 224.195.223.255 | 510 |
| 241 | 224.195.224.0/23 | 224.195.224.1 to 224.195.225.254 | 224.195.225.255 | 510 |
| 242 | 224.195.226.0/23 | 224.195.226.1 to 224.195.227.254 | 224.195.227.255 | 510 |
| 243 | 224.195.228.0/23 | 224.195.228.1 to 224.195.229.254 | 224.195.229.255 | 510 |
| 244 | 224.195.230.0/23 | 224.195.230.1 to 224.195.231.254 | 224.195.231.255 | 510 |
| 245 | 224.195.232.0/23 | 224.195.232.1 to 224.195.233.254 | 224.195.233.255 | 510 |
| 246 | 224.195.234.0/23 | 224.195.234.1 to 224.195.235.254 | 224.195.235.255 | 510 |
| 247 | 224.195.236.0/23 | 224.195.236.1 to 224.195.237.254 | 224.195.237.255 | 510 |
| 248 | 224.195.238.0/23 | 224.195.238.1 to 224.195.239.254 | 224.195.239.255 | 510 |
| 249 | 224.195.240.0/23 | 224.195.240.1 to 224.195.241.254 | 224.195.241.255 | 510 |
| 250 | 224.195.242.0/23 | 224.195.242.1 to 224.195.243.254 | 224.195.243.255 | 510 |
| 251 | 224.195.244.0/23 | 224.195.244.1 to 224.195.245.254 | 224.195.245.255 | 510 |
| 252 | 224.195.246.0/23 | 224.195.246.1 to 224.195.247.254 | 224.195.247.255 | 510 |
| 253 | 224.195.248.0/23 | 224.195.248.1 to 224.195.249.254 | 224.195.249.255 | 510 |
| 254 | 224.195.250.0/23 | 224.195.250.1 to 224.195.251.254 | 224.195.251.255 | 510 |
| 255 | 224.195.252.0/23 | 224.195.252.1 to 224.195.253.254 | 224.195.253.255 | 510 |
| 256 | 224.195.254.0/23 | 224.195.254.1 to 224.195.255.254 | 224.195.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |